View Issue Details

IDProjectCategoryView StatusLast Update
0001953SymmetricDSBugpublic2014-09-17 18:01
ReporterelongAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.8Fixed in Version3.6.8 
Summary0001953: Transform column value to NULL removes column
DescriptionUsing a bsh transform to set a column value to null, but it removes the column instead. If the column is a non-primary key, it works okay. The bug manifests when using a column with the primary key indicator enabled.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 79dcd046

2014-09-04 16:27:52

chenson

Details Diff
0001953: Transform column value to NULL removes column
0001953
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

SymmetricDS: master 128b05c2

2014-09-09 20:19:12

chenson

Details Diff
0001953: Transform column value to NULL removes column
0001953
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/transform/TransformedData.java Diff File

SymmetricDS: master 36816236

2014-09-15 14:48:26

chenson

Details Diff
0001953: Transform column value to NULL removes column
0001953
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-09-04 08:57 elong New Issue
2014-09-04 16:35 chenson Status new => resolved
2014-09-04 16:35 chenson Fixed in Version => 3.6.8
2014-09-04 16:35 chenson Resolution open => fixed
2014-09-04 16:35 chenson Assigned To => chenson
2014-09-04 17:00 chenson Changeset attached => SymmetricDS trunk r8662
2014-09-04 17:00 chenson Changeset attached => SymmetricDS 3.6 r8666
2014-09-09 21:00 chenson Changeset attached => SymmetricDS trunk r8672
2014-09-09 21:00 chenson Changeset attached => SymmetricDS 3.6 r8673
2014-09-15 15:00 chenson Changeset attached => SymmetricDS trunk r8695
2014-09-15 15:00 chenson Changeset attached => SymmetricDS 3.6 r8696
2014-09-17 18:01 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 36816236
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 128b05c2
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 79dcd046